package cn.com.qmth.stmms.biz.role.model;

import java.io.Serializable;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import cn.com.qmth.stmms.common.enums.Auth;

@Entity
@Table(name = "b_role_auth")
public class RoleAuth implements Serializable {

    private static final long serialVersionUID = -2702167436285496555L;

    @Id
    @Column(name = "role_name")
    private String roleName;

    @Column(name = "auth_names")
    private String authNames;

    private transient Set<Auth> auths;

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getAuthNames() {
        return authNames;
    }

    public void setAuthNames(String authNames) {
        this.authNames = authNames;
    }

    public Set<Auth> getAuths() {
        return auths;
    }

    public void setAuths(Set<Auth> auths) {
        this.auths = auths;
    }

}
